Security Experts:

Firefox 107 Patches High-Impact Vulnerabilities

Mozilla has announced the release of Firefox 107. The latest version of the popular web browser patches a significant number of vulnerabilities.

A total of 19 CVE identifiers have been assigned to the security holes patched by Firefox 107, and nine of them have been assigned a ‘high impact’ rating.

The high-impact flaws include issues that could lead to information disclosure, fullscreen notification bypass that could be used for spoofing attacks, and crashes or arbitrary code execution resulting from use-after-free bugs.

Multiple memory safety bugs discovered by Mozilla developers have been assigned a single CVE and a ‘high impact’ rating.

Moderate-impact issues patched with the release of Firefox 107 can lead to security bypass, cross-site tracing, code execution, compromise via file downloads, keystroke leakage, and spoofing attacks. Low-impact issues patched in Firefox are related to security exceptions and spoofing.

Some vulnerabilities only impact Firefox on Android or on all Unix-based operating systems.

Many of these security holes have also been patched in Thunderbird, with the release of version 102.5.

Firefox is not as targeted by threat actors as Chrome, but its popularity still makes it a tempting target. Earlier this year, users were warned about two Firefox vulnerabilities being exploited in attacks.

Related: Critical Firefox Vulnerability Can Allow Code Execution If Chained With Other Bugs

Related: Firefox 102 Patches 19 Vulnerabilities, Improves Privacy

Related: Mozilla Patches High-Severity Vulnerabilities in Firefox, Thunderbird

view counter
Eduard Kovacs (@EduardKovacs) is a contributing editor at SecurityWeek. He worked as a high school IT teacher for two years before starting a career in journalism as Softpedia’s security news reporter. Eduard holds a bachelor’s degree in industrial informatics and a master’s degree in computer techniques applied in electrical engineering.